﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;

namespace TestLineChart
{
    internal class ChartValueToHeightConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            LineChart chart = ((ObjectDataProvider)parameter).ObjectInstance as LineChart;

            return (chart.ActualHeight - chart.TickLabelHeight) * 0.9 * (double)value / (chart.Maximum - chart.Minimum);
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
